libzypp: zypp::ServiceInfo::Impl Struct Reference

libzypp 17.38.11

zypp::ServiceInfo::Impl Struct Reference

## Public Types
using | ReposToEnable = ServiceInfo::ReposToEnable
using | ReposToDisable = ServiceInfo::ReposToDisable

## Public Member Functions
| Impl ()
| Impl (const Url &url_r)
| Impl (const Impl &)=default
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl ()
void | setProbedType (const repo::ServiceType &type_r) const

## Public Attributes
RepoVariablesReplacedUrl | _url
repo::ServiceType | _type
ReposToEnable | _reposToEnable
ReposToDisable | _reposToDisable
RepoStates | _repoStates
DefaultIntegral< Date::Duration, 0 > | _ttl
Date | _lrf

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

Definition at line 33 of file ServiceInfo.cc.

## Member Typedef Documentation

## ◆ ReposToEnable

using zypp::ServiceInfo::Impl::ReposToEnable = ServiceInfo::ReposToEnable

Definition at line 35 of file ServiceInfo.cc.

## ◆ ReposToDisable

using zypp::ServiceInfo::Impl::ReposToDisable = ServiceInfo::ReposToDisable

Definition at line 36 of file ServiceInfo.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/4]

zypp::ServiceInfo::Impl::Impl | ( |  | ) |
| inline

Definition at line 48 of file ServiceInfo.cc.

## ◆ Impl() [2/4]

zypp::ServiceInfo::Impl::Impl | ( | const Url & | url_r | ) |
| inline

Definition at line 51 of file ServiceInfo.cc.

## ◆ Impl() [3/4]

zypp::ServiceInfo::Impl::Impl | ( | const Impl & |  | ) |
| default

## ◆ Impl() [4/4]

zypp::ServiceInfo::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::ServiceInfo::Impl::~Impl | ( |  | ) |
| inline

Definition at line 58 of file ServiceInfo.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::ServiceInfo::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::ServiceInfo::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ setProbedType()

void zypp::ServiceInfo::Impl::setProbedType | ( | const repo::ServiceType & | type_r | ) | const
| inline

Definition at line 61 of file ServiceInfo.cc.

## ◆ clone()

Impl * zypp::ServiceInfo::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 75 of file ServiceInfo.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _url

RepoVariablesReplacedUrl zypp::ServiceInfo::Impl::_url

Definition at line 39 of file ServiceInfo.cc.

## ◆ _type

repo::ServiceType zypp::ServiceInfo::Impl::_type

Definition at line 40 of file ServiceInfo.cc.

## ◆ _reposToEnable

ReposToEnable zypp::ServiceInfo::Impl::_reposToEnable

Definition at line 41 of file ServiceInfo.cc.

## ◆ _reposToDisable

ReposToDisable zypp::ServiceInfo::Impl::_reposToDisable

Definition at line 42 of file ServiceInfo.cc.

## ◆ _repoStates

RepoStates zypp::ServiceInfo::Impl::_repoStates

Definition at line 43 of file ServiceInfo.cc.

## ◆ _ttl

DefaultIntegral<Date::Duration,0> zypp::ServiceInfo::Impl::_ttl

Definition at line 44 of file ServiceInfo.cc.

## ◆ _lrf

Date zypp::ServiceInfo::Impl::_lrf

Definition at line 45 of file ServiceInfo.cc.

The documentation for this struct was generated from the following file:

- zypp/ServiceInfo.cc